Like (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portal.databook.shared
Class Like

    java.lang.Object
      org.gcube.portal.databook.shared.Like

All Implemented Interfaces:
  Serializable

    public class Like

extends Object
implements Serializable

Version:
  0.1 July 2012
Author:
  Massimiliano Assante, ISTI-CNR
See Also:
  Serialized Form

Constructor Summary
`Like()`
`Like(String key, String userid, Date time, String feedid, String fullName, String thumbnailURL)`

Method Summary
`String` | `getFeedid()`
`String` | `getFullName()`
`String` | `getKey()`
`String` | `getThumbnailURL()`
`Date` | `getTime()`
`String` | `getUserid()`
`void` | `setFeedid(String feedid)`
`void` | `setFullName(String fullName)`
`void` | `setKey(String key)`
`void` | `setThumbnailURL(String thumbnailURL)`
`void` | `setTime(Date time)`
`void` | `setUserid(String userid)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Like

    public Like()

### Like

    public Like(String key,
                String userid,
                Date time,
                String feedid,
                String fullName,
                String thumbnailURL)

Method Detail

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getUserid

    public String getUserid()

### setUserid

    public void setUserid(String userid)

### getTime

    public Date getTime()

### setTime

    public void setTime(Date time)

### getFeedid

    public String getFeedid()

### setFeedid

    public void setFeedid(String feedid)

### getFullName

    public String getFullName()

### setFullName

    public void setFullName(String fullName)

### getThumbnailURL

    public String getThumbnailURL()

### setThumbnailURL

    public void setThumbnailURL(String thumbnailURL)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.